complexType "Price"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 9 elements
Defined: | globally in fpml-asset-5-5.xsd; see XML source
Includes: | definitions of 5 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | commission?, (determinationMethod | amountRelativeTo | (grossPrice?, netPrice?, accruedInterestPrice?, fxConversion?))?, cleanNetPrice?, quotationCharacteristics?
</...>

Content Model Elements (9):

  accruedInterestPrice, amountRelativeTo (defined in Price complexType), cleanNetPrice, commission, determinationMethod (defined in Price complexType), | fxConversion, grossPrice, netPrice, quotationCharacteristics

Known Direct Subtypes (1):

  ReturnLegValuationPrice

All Direct / Indirect Based Elements (4):

  initialPrice, underlyerPrice, valuationPriceFinal, valuationPriceInterim

Known Usage Locations

- In derivations of other global types (1):
  ReturnLegValuationPrice (as extension base)
- As direct type of elements (1):
  underlyerPrice

Annotation
A type describing the strike price.
XML Source (w/o annotations (6); see within schema source)

<xsd:complexType name="Price"> <xsd:sequence> <xsd:element minOccurs="0" name="commission" type="Commission"/> <xsd:choice minOccurs="0"> <xsd:sequence> <xsd:element name="determinationMethod" type="DeterminationMethod"/> <!--View Generation: SKIPPED - Technical --> </xsd:sequence> <xsd:element name="amountRelativeTo" type="AmountReference"/> <xsd:group ref="EquityPrice.model"/> </xsd:choice> <xsd:element minOccurs="0" name="cleanNetPrice" type="xsd:decimal"/> <xsd:element minOccurs="0" name="quotationCharacteristics" type="QuotationCharacteristics"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 5/9)
amountRelativeTo

  Type: | AmountReference, empty content

  The href attribute value will be a pointer style reference to the element or component elsewhere in the document where the anchor amount is defined.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="amountRelativeTo" type="AmountReference"/>

cleanNetPrice

  Type: | xsd:decimal, predefined, simple content

  The net price excluding accrued interest. The "Dirty Price" for bonds is put in the "netPrice" element, which includes accrued interest. Thus netPrice - cleanNetPrice = accruedInterest. The currency and price expression for this field are the same as those for the (dirty) netPrice.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="cleanNetPrice" type="xsd:decimal"/>

commission

  Type: | Commission, complex content

  This optional component specifies the commission to be charged for executing the hedge transactions.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="commission" type="Commission"/>

determinationMethod

  Type: | DeterminationMethod, simple content

  Specifies the method according to which an amount or a date is determined.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="determinationMethod" type="DeterminationMethod"/>

quotationCharacteristics

  Type: | QuotationCharacteristics, complex content

  Allows information about how the price was quoted to be provided.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="quotationCharacteristics" type="QuotationCharacteristics"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.